=== debian/changelog ===
netplan.io (1.0-2ubuntu1.2) noble-security; urgency=medium

  * SECURITY REGRESSION: failure on systems without dbus
    - debian/netplan-generator.postinst: Don't call the generator if no
      networkd configuration file exists. (LP: #2071333) 

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Fri, 28 Jun 2024 22:40:44 +0530

netplan.io (1.0-2ubuntu1.1) noble-security; urgency=medium

  * SECURITY UPDATE: weak permissions on secret files, command injection
    - d/p/lp2065738/0014-libnetplan-use-more-restrictive-file-permissions.patch:
      Use more restrictive file permissions to prevent unprivileged users to
      read sensitive data from back end files (LP: #2065738, #1987842)
    - CVE-2022-4968
    - d/p/lp2066258/0015-libnetplan-escape-control-characters.patch:
      Escape control characters in the parser and double quotes in backend
      files.
    - d/p/lp2066258/0016-backends-escape-file-paths.patch:
      Escape special characters in file paths.
    - d/p/lp2066258/0017-backends-escape-semicolons-in-service-units.patch:
      Escape isolated semicolons in systemd service units. (LP: #2066258)
  * debian/netplan-generator.postinst: Add a postinst maintainer script to call
    the generator. It's needed so the file permissions fixes will be applied
    automatically, thanks to danilogondolfo 

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Tue, 25 Jun 2024 00:13:00 +0530

netplan.io (1.0-2ubuntu1) noble; urgency=medium

  * debian/patches/lp2060311/, LP: #2060311
    Fix wait-online via s-n-wait-online.service.d/10-netplan.conf.
    Using an override config file for systemd-networkd-wait-online.service,
    specifing all the individual, non-optional interfaces to wait for and not
    enabling the s-n-wait-online.service at all when all interfaces are
    optional.
  * d/libnetplan1.symbols: Update for new (private) symbol

 -- Lukas Märdian <slyon@debian.org>  Thu, 18 Apr 2024 14:07:08 +0200

netplan.io (1.0-2) unstable; urgency=medium

  [ Lukas Märdian ]
  * Versioned dep on meson >= 1.3.0 for python.limited_api (Closes: #1066889)
  * d/control: downgrade python3-rich to Recommends.

  [ Danilo Egea Gondolfo ]
  * debian/netplan.io.preinst.
    Add a preinst maintainer script for netplan.io to cleanup .pyc cached
    files. Due to these files, the directory /usr/share/netplan/netplan is
    not being removed after the python3-netplan package split. By removing
    these files (and __pycache__ directories), dpkg can remove the old
    directory during upgrade.
  * d/p/0002-parse-nm-add-a-workaround-for-the-DoT-DNS-option.patch.
    Workaround to prevent parse-nm to generate invalid DNS entries in the
    resulting YAML if SNI is used. (LP: #2055148)

 -- Lukas Märdian <slyon@debian.org>  Thu, 28 Mar 2024 12:47:41 +0100

netplan.io (1.0-1) unstable; urgency=medium

  * New upstream release 1.0:
    - state/status: add support for identifying bridge/bond/vrf members !420
    - Netplan status --diff !440
    - Netplan state diff !386
    - allow COMMON_LINK_HANDLERS for VRFs (LP: #2031421, Closes: #1049432) !401
    - netplan: add support for WPA3-Enterprise (LP: #2029876) !402
    - wifi: support WPA2 and WPA3 Personal simultaneously !404
    - auth: add support for LEAP and EAP-PWD (LP: #2038811) !415
    - wifi: allow having a psk and an eap password simultaneously !416
    - Migrate CriticalConnection to KeepConfiguration (LP: #1896799) !424
    - apply: bring "lo" back up if it's managed by NM (LP: # 2034595) !408
    - Post 0.107 cleanup & dropping API/ABI compat !400
    - ABI: Refactoring for libnetplan.so.1 !434
    - Add additional bridge port settings !410
    - SR-IOV improvements (VF-LAG support) !439
    Documentation:
    - Add spelling checking to the CI !417
    - doc: libnetplan API reference, using Doxygen and Sphinx.breathe !423
    - doc: Update 'Netplan everywhere' for 23.10 !418
    - added mii-monitor-interval !411
    - Adopt Docs Starter Pack !429
    - Fix howto docs !430
    - docs: add a topic about security !433
    - Document and restructure libnetplan's public API symbols !438
    - Lang. & formatting fixes in API docs. !441
    - Update examples.md !442
    Bug fixes:
    - GitHub CI fixes !405
    - util: don't return a placeholder netdef in the iterator !406
    - tunnels/validation: do not error out if "local" is not defined !407
    - cli/sriov: remove unused code !435
    - wireguard: ignore empty endpoints (LP: #2038811) !414
    - parse: improve the parsing of access-points (LP: #1809994) !413
    - tests: Add autopkgtest for LP: #1959570 !419
    - Fix permissions on folder '/run/NetworkManager/' !422
    - parse-nm/wg: append the correct prefix to IPv6 (LP: #2046158) !428
    - disable StartLimitBurst in the ovs-cleanup service (LP: #2047827) !431
    - ctests: stop including C files in the test files !432
    - workflow/coverity: install missing dependencies !436
    - state_diff: fix filtering of host scoped routes !426
    - sriov: don't generate duplicate entries in the rebind.service file !437
    - check if ovsdb-server.service is active before displaying warning !421
    - parser: accept the special MAC address options (LP: #2045096) !427
    - CI: fix NetworkManager autopkgtest not using deb822 !443
    - tests: Be less strict about systemctl daemon-reload (LP: #2048388)
    - Netplan status --diff refactoring !444
  * d/netplan-generator.install: Fix PLACEHOLDER location
  * d/netplan-generator.lintian-overrides: Clean up unused override
  * d/source/options: Ignore .envrc (direnv)
  * d/control: pkg-config -> pkgconf
  * d/rules: Make use of -Dpython.bytecompile=-1
  * d/control: Update short description
  * d/control,d/libnetplan1.symbols: Prepare for libnetplan1 SOVER bump
  * d/control: Add iproute2 build-dep (for running tests)
  * d/rules: Drop removal of legacy symlink (integrated in meson)
  * d/t/control: execute netplan diff test cases
  * d/patches: Drop patches, applied upstream

