=== debian/control ===
Source: netplan.io
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Netplan Maintainers <team+netplan@tracker.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
 Lukas Märdian <slyon@debian.org>,
Section: net
Priority: optional
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 pkgconf,
 bash-completion,
 libyaml-dev,
 libglib2.0-dev,
 uuid-dev,
 python3,
 python3-cffi,
 python3-coverage <!nocheck>,
 python3-dbus <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-rich <!nocheck>,
 python3-yaml <!nocheck>,
 python3-netifaces <!nocheck>,
 libcmocka-dev,
 libpython3-dev,
 libsystemd-dev,
 systemd <!nocheck>,
 systemd-dev,
 dbus-x11 <!nocheck>,
 pyflakes3 <!nocheck>,
 pycodestyle <!nocheck> | pep8 <!nocheck>,
 pandoc,
 openvswitch-switch [ !armel !armhf !i386 !hppa !m68k !powerpc !sh4 !x32 ] <!nocheck>,
 meson (>= 1.3.0),
 iproute2 <!nocheck>,
Vcs-Git: https://salsa.debian.org/debian/netplan.io.git
Vcs-Browser: https://salsa.debian.org/debian/netplan.io
Homepage: https://netplan.io/

Package: netplan.io
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 iproute2,
 libnetplan1 (= ${binary:Version}),
 netplan-generator,
 python3,
 python3-dbus,
 python3-netplan,
 python3-netifaces,
 python3-yaml,
 systemd (>= 248~),
Recommends:
 python3-rich,
Description: Declarative network configuration for various backends
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.

Package: netplan-generator
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libnetplan1 (= ${binary:Version}),
 systemd (>= 248~),
Suggests:
 network-manager | wpasupplicant,
 openvswitch-switch,
 iw,
Breaks: netplan.io (<< 0.106.1-8~),
Replaces: netplan.io (<< 0.106.1-8~),
Description: Declarative network configuration systemd-generator
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package provides a systemd-generator to configure networking daemons
 at boot time.

Package: python3-netplan
Section: python
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libnetplan1 (= ${binary:Version}),
 python3,
 python3-cffi-backend,
Breaks: netplan.io (<< 0.107-3~)
Replaces: netplan.io (<< 0.107-3~)
Description: Declarative network configuration Python bindings
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package provides a CFFI based Python bindings to libnetplan.

Package: libnetplan1
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Declarative network configuration runtime library
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package contains the necessary runtime library files.

Package: libnetplan-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
 libnetplan1 (= ${binary:Version}),
Description: Development files for Netplan's libnetplan runtime library
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package contains development files for developers wanting to use
 libnetplan in their applications.
