=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_auto_clean:
	dh_auto_clean
	make clean

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dpython.purelibdir=/usr/lib/python3/dist-packages \
		-Dpython.platlibdir=/usr/lib/python3/dist-packages \
		-Dpython.bytecompile=-1
