## netplan.io 1.0.1

=== debian/changelog ===
netplan.io (1.0.1-1ubuntu2~24.04.1) noble; urgency=medium

  * Backport netplan.io 1.0.1-1ubuntu2 to 24.04 (LP: #2074197):
    - sriov: accept setting the eswitch mode without VFs (LP: 2020409)
    - cli/sriov: refactoring
    - tests: use proper 0o600 file permissions in more places
    - doc: Adding missing 'watchfiles' dependency for Sphinx
    - doc: Minor fixes in lang. and mark-up in YAML reference
    - doc: Tutorial reorg & lang. + formatting improvements
    - networkd: add wait-online enumeration utils
    - generate: enable systemd-networkd-wait-online for non-optional interfaces
    - CLI:utils: Do not ask for daemon-reload password interactively
    - CLI:generate: call daemon-reload after (re-)generating services
    - wait-online: Do not block on loopback interface
    - generate: Do not touch wait-online, if we don't have any networkd NetDefs
    - wait-online: wait for existing interfaces only and downgrade operational
      state for interfaces without IP configuration
    - wait-online: account for DHCPv4/v6 addresses
    - wait-online: do not require virtual devices to be created already
    - wait-online: recognize that bridge/bond members will never gain
      link-local addresses
    - networkd:apply: Drop handling of legacy wpa@ instance units
    - wait-online: disabled wait-online for stable 1.0
    - test:integration: Try to improve test flakyness
    - autopkgtest: More fixes for flaky 'ethernets' test
    - Increase some test timeouts to account for slow (riscv64) buildds
    SECURITY UPDATE:
    - libnetplan: use more restrictive file permissions
      (Closes: #1072789, LP: 2065738, LP: 1987842)
    - CVE-2022-4968
    - libnetplan: escape control characters
    - backends: escape file paths
    - backends: escape semicolons in service units (LP: 2066258)
    Bug fixes:
    - cli: Fix logging setup when python-rich is not present
    - CI: fix DebCI case for no-change rebuilds
    - CI: adopt autopkgtest for 1.0-1 on 22.04
    - doc: Update README, move CODE_OF_CONDUCT
    - doc: fix en_GB spelling
    - CI: adopt snapd.patch for autopkgtest SRU (LP: 2051939)
    - parse-nm: add a workaround for the DoT DNS option  (LP: 2055148)
    - CI: Install netplan-ci PPA
    - parse: don't remove datalist items during iteration
    - ATTN: parse/bonds: handle same primary in multiple bonds
    - parse/bonds: don't fail on primary reassignment
    - cli/sriov: set eswitch regardless of pcidev.vfs
    - doc: Fix wrong bonds.parameters.mode syntax in example
    - parse: fix redefinition of gateway(4|6)
    - doc:tutorial: fix whitespace formatting
    - util: fix potential NULL pointer assert
    - python: elements of __all__ must be strings
    - tests: fix diff test with iproute2 6.8
    - cli/generate: skip daemon_reload with --mapping
    - test: cleanup after wait_online test to fix DebCI
    - CI: fork spread to get !179 fixes
    - doc: Fix netplan-generate.md formatting !483
    - emitter: allow unicode characters in the emitter (LP: 2071652)
    - parse: do not escape all non-ascii bytes
  * d/t/control: 'diff' autopkgtest is not flaky anymore
  * d/patches: Drop patches, applied upstream
  * d/p/0002-CLI-apply-call-udevadm-trigger-using-action-add-Clos.patch:
    Update 'udevadm trigger' patch, using MOVE action (LP: 2071363)
  * d/p/0003-Revert-wait-online-disabled-wait-online-for-stable-1.patch:
    Fix wait-online via s-n-wait-online.service.d/10-netplan.
  * debian/netplan-generator.postinst: Add a postinst maintainer script to call
    the generator, so the file permissions fixes will be applied automatically.
  * d/libnetplan1.symbols:
    - Update for new internal wait-online symbol
    - Update for new (private) symbol
  * d/copyright: Update for 2024

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Wed, 17 Jul 2024 18:12:26 +0100
