=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
  libcmocka-dev,
  libpython3-dev,
  libsystemd-dev,
+ udev <!nocheck>,
  systemd <!nocheck>,
  systemd-dev,
  dbus-x11 <!nocheck>,
