## netplan.io 1.1

=== debian/changelog ===
netplan.io (1.1-1) unstable; urgency=medium

  * New upstream release: 1.1
    - CI: adopt autopkgtest for 1.0-1 on 22.04
    - tools/keyfile_to_yaml: display the generated YAML
    - tests: import the config fuzzing tests
    - ATTN: parse/bonds: handle same primary in multiple bonds
    - sriov: accept setting the eswitch mode without VFs (LP: #2020409)
    - Custom systemd-networkd-wait-online override to wait on interfaces.
      (Closes: #1008995) (LP: #2060311)
    - Ignore bad NetDefs and files via parser flags
    - networkd:apply: Drop handling of legacy wpa@ instance units
    - migrate: support aliases
    - networkd: add ipv6 ra overrides (LP: #1973222)
    - netplan status --diff fixes and improvements
    - apply: make sure that networkd is restarted when needed
    - Don't escape certain non-ascii characters
    - networkd: make s-n-wait-online wait for at least one routable interface
    - networkd: Implement ipv6-address-generation: stable-privacy
    - Implementing advmss ip route option
    - meson: Add 'testing' option
    - Add a scheduled workflow to run TICS
    - ci: migrate to Ubuntu 24.04
    - Prepare Netplan v1.1
    Documentation:
    - Fix wrong syntax in example
    - Tutorial improvements
    - added guide for contributing to the netplan documentation
    - Add initial SECURITY.md policy
    - Create single-nic-vm-host.md
    - Create single-nic-vm-host-with-vlans.md
    - Create multi-nic-vm-host-with-bonds-and-vlans.md
    - bullet point removal
    - Add netplan try to netplan tutorial
    - Update the docs checks runner to ubuntu-latest
    - Add spelling exceptions
    Bug fixes:
    - Fix logging setup when python-rich is not present
    - parse-nm: add a workaround for the DoT DNS option (LP: #2055148)
    - parse: don't remove datalist items during iteration
    - parse: fix redefinition of gateway(4|6)
    - python: elements of all must be strings
    - CI: Fix DebCI check, using newer 'meson' from unstable
    - tests: fix diff test with iproute2 6.8
    - cli/generate: skip daemon_reload with --mapping
    - CI: fork spread to get snapcore/spread#179 fixes
    - ctests: fix a memory leak in a unit test
    - nm/nd: fix a couple of crashes
    - test:integration: Try to improve test flakyness (Closes: #1069871)
    - Security fixes (CVE-2022-4968)
    - emitter: allow unicode characters in the emitter (LP: #2071652)
    - CLI:apply: call udevadm trigger, using --action=move
      (Closes: #1071220) (LP: #2066344, LP: #2071363)
    - CI: fix CodeQL permissions
    - ci: run meson tests with unbuffer
    - ci/tics: install "expect" as a dependency
    - generate: avoid calling 'udevadm control --reload' (LP: #1999178)
    - netplan ignores NetworkManager ipv4.route-metric (LP: #2076172)
    - Change default umask when creating dirctories (LP: #2076319)
  * d/patches/: Drop patches, applied upstream
  * d/control: Add udev as a test dependency
  * d/control: Fix typo in package description
  * d/libnetplan1.symbols: Update symbols file for v1.1

 -- Lukas Märdian <slyon@debian.org>  Wed, 14 Aug 2024 13:24:13 +0200

netplan.io (1.0.1-3) unstable; urgency=medium

  * d/control: Mark libcmocka-dev as a test-dependency
  * d/p/fix-manpage-title.patch: Add 'Forwarded' patch header
  * d/netplan-generator.lintian-overrides: Mute false positive systemd-diversion

 -- Lukas Märdian <slyon@debian.org>  Thu, 01 Aug 2024 15:13:24 +0900

netplan.io (1.0.1-2) unstable; urgency=medium

  [ Cyril Brulebois ]
  * d/p/fix-manpage-title.patch: Fix a typo in docs

  [ Lukas Märdian ]
  * d/t/control: Add python3-packaging test dependency for 'routing.py'
  * d/rules,d/p/testing.diff: Handle 'nocheck' option (Closes: #1071599)
  * d/control: Clarify package description (Closes: #1076445)

 -- Lukas Märdian <slyon@debian.org>  Mon, 29 Jul 2024 15:35:25 +0900

netplan.io (1.0.1-1) unstable; urgency=medium

  * New upstream release: 1.0.1:
    - sriov: accept setting the eswitch mode without VFs (LP: #2020409)
    - cli/sriov: refactoring
    - tests: use proper 0o600 file permissions in more places
    - doc:  Adding missing 'watchfiles' dependency for Sphinx
    - doc: Minor fixes in lang. and mark-up in YAML reference
    - doc: Tutorial reorg & lang. + formatting improvements
    - networkd: add wait-online enumeration utils
    - generate: enable systemd-networkd-wait-online for non-optional interfaces
    - CLI:utils: Do not ask for daemon-reload password interactively
    - CLI:generate: call daemon-reload after (re-)generating services
    - wait-online: Do not block on loopback interface
    - generate: Do not touch wait-online, if we don't have any networkd NetDefs
    - wait-online: wait for existing interfaces only and downgrade operational
      state for interfaces without IP configuration
    - wait-online: account for DHCPv4/v6 addresses
    - wait-online: do not require virtual devices to be created already
    - wait-online: recognize that bridge/bond members will never gain
      link-local addresses
    - networkd:apply: Drop handling of legacy wpa@ instance units
    - wait-online: disabled wait-online for stable 1.0
    - test:integration: Try to improve test flakyness
    - autopkgtest: More fixes for flaky 'ethernets' test
    -  Increase some test timeouts to account for slow (riscv64) buildds
    SECURITY UPDATE:
    - libnetplan: use more restrictive file permissions
      (Closes: #1072789, LP: #2065738, LP: #1987842)
    - CVE-2022-4968
    - libnetplan: escape control characters
    - backends: escape file paths
    - backends: escape semicolons in service units (LP: #2066258)
    Bug fixes:
    - cli: Fix logging setup when python-rich is not present
    - CI: fix DebCI case for no-change rebuilds
    - CI: adopt autopkgtest for 1.0-1 on 22.04
    - doc: Update README, move CODE_OF_CONDUCT
    - doc: fix en_GB spelling
    - CI: adopt snapd.patch for autopkgtest SRU (LP: #2051939)

