=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: netplan.io
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Netplan Maintainers <team+netplan@tracker.debian.org>
+Maintainer: Debian Netplan Maintainers <team+netplan@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
  Lukas Märdian <slyon@debian.org>,
 Section: net
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -24,7 +23,7 @@
  python3-rich <!nocheck>,
  python3-yaml <!nocheck>,
  python3-netifaces <!nocheck>,
- libcmocka-dev,
+ libcmocka-dev <!nocheck>,
  libpython3-dev,
  libsystemd-dev,
  udev <!nocheck>,
@@ -58,14 +57,17 @@
  systemd (>= 248~),
 Recommends:
  python3-rich,
-Description: Declarative network configuration for various backends
- netplan reads YAML network configuration files which are written
+Description: Declarative network configuration for various backends at runtime
+ Netplan reads YAML network configuration files which are written
  by administrators, installers, cloud image instantiations, or other OS
  deployments. During early boot it then generates backend specific
  configuration files in /run to hand off control of devices to a particular
  networking daemon.
  .
  Currently supported backends are networkd and NetworkManager.
+ .
+ This package provides a runtime CLI to control the Netplan backends,
+ e.g. to re-generate configuration or apply changes.
 
 Package: netplan-generator
 Architecture: linux-any
@@ -81,8 +83,8 @@
  iw,
 Breaks: netplan.io (<< 0.106.1-8~),
 Replaces: netplan.io (<< 0.106.1-8~),
-Description: Declarative network configuration systemd-generator
- netplan reads YAML network configuration files which are written
+Description: Declarative network configuration for various backends at boot
+ Netplan reads YAML network configuration files which are written
  by administrators, installers, cloud image instantiations, or other OS
  deployments. During early boot it then generates backend specific
  configuration files in /run to hand off control of devices to a particular
@@ -90,8 +92,8 @@
  .
  Currently supported backends are networkd and NetworkManager.
  .
- This package provides a systemd-generator to configure networking daemons
- at boot time.
+ This package provides a systemd-generator to configure various networking
+ daemons at boot time.
 
 Package: python3-netplan
 Section: python
@@ -106,7 +108,7 @@
 Breaks: netplan.io (<< 0.107-3~)
 Replaces: netplan.io (<< 0.107-3~)
 Description: Declarative network configuration Python bindings
- netplan reads YAML network configuration files which are written
+ Netplan reads YAML network configuration files which are written
  by administrators, installers, cloud image instantiations, or other OS
  deployments. During early boot it then generates backend specific
  configuration files in /run to hand off control of devices to a particular
@@ -124,7 +126,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
 Description: Declarative network configuration runtime library
- netplan reads YAML network configuration files which are written
+ Netplan reads YAML network configuration files which are written
  by administrators, installers, cloud image instantiations, or other OS
  deployments. During early boot it then generates backend specific
  configuration files in /run to hand off control of devices to a particular
@@ -141,7 +143,7 @@
 Depends: ${misc:Depends},
  libnetplan1 (= ${binary:Version}),
 Description: Development files for Netplan's libnetplan runtime library
- netplan reads YAML network configuration files which are written
+ Netplan reads YAML network configuration files which are written
  by administrators, installers, cloud image instantiations, or other OS
  deployments. During early boot it then generates backend specific
  configuration files in /run to hand off control of devices to a particular
