=== debian/tests/control ===
--- 
+++ 
@@ -67,6 +67,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
+  python3-packaging,
 Restrictions: allow-stderr, needs-root, isolation-container
 Features: test-name=routing
 
@@ -103,4 +104,3 @@
 Tests-Directory: tests/integration
 Depends: @,
   systemd-resolved | systemd (<< 251.3-2~),
-  network-manager,
