## netplan.io 1.1.1

=== debian/changelog ===
netplan.io (1.1.1-1~ubuntu24.10.1) oracular; urgency=medium

  * Backport netplan.io 1.1.1-1 to 24.10 (LP: #2077011)
    - NM: add support for stable-ssid MAC option !524 (LP:2084234)
    - wpa_supplicant: add ExecReload to the service unit !523
    - Create snippet files for single-sourcing repetitive instructions !505
    - doc: Add initial 'Cryptography' section !517
    - Several code cleanup & fixes for TiCS !507
    - tests: ethernets: Add ipv6-address-generation integration tests !509
    - cli: drop python-netifaces !503 (LP:2065870, LP:2017585)
    - parse-nm: account for veth and dummy when checking for virtual types !513
    - Avoid dependency on dbus-python !511
    - tests: Improve vrf/wireguard modprobe check inside containers !510
    - tests:ethernets: avoid flaky test_ip6_eui64 results !514
    - ovs: quote external-ids and other-config values !512 (LP:2070318)
    - Handle implicit conversions !496
    - Use more permissive umask for .service units !516 (LP:2072486)
    - Revert "apply: make sure that networkd is restarted when needed" !518
      (LP:2078009)
    - Handling encoding issues on netplan status !521 (LP:2079975)
    - include: fix apidoc warnings about undocumented parameters
  * d/t/control: Add breaks-testbed for more robust CI
  * d/rules: Improve 'filter nocheck' test, to avoid double 'nocheck' confusion
  * d/{rules,control}: Utilize dh-python
  * d/control:
    + Change Maintainer to Networking team
    + Mark udev as a runtime dependency
    + Drop python3-{dbus,netifaces} dependencies, not needed anymore
    + Add ethtool dependency, needed as of 1.1.1

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 22 Oct 2024 15:09:03 +0200
