=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),nocheck)
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
     export NETPLAN_FLAGS="-Dtesting=false"
 endif
 
 %:
-	dh $@ --buildsystem=meson
+	dh $@ --buildsystem=meson --with=python3
 
 override_dh_auto_clean:
 	dh_auto_clean
