=== debian/tests/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
   python3-gi,
   gir1.2-nm-1.0,
   openvswitch-switch,
-Restrictions: allow-stderr, needs-root, isolation-container, skip-not-installable, skippable
+Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container, skip-not-installable, skippable
 Features: test-name=ovs
 
 Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=ethernets
@@ -25,7 +25,7 @@
   python3-gi,
   gir1.2-nm-1.0,
   ethtool,
-Restrictions: allow-stderr, needs-root, isolation-container
+Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
 Features: test-name=ethernets
 
 Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=bridges
@@ -39,7 +39,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
-Restrictions: allow-stderr, needs-root, isolation-container
+Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
 Features: test-name=bridges
 
 Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=bonds
@@ -53,7 +53,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
-Restrictions: allow-stderr, needs-root, isolation-container
+Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
 Features: test-name=bonds
 
 Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=routing
@@ -68,7 +68,7 @@
   python3-gi,
   gir1.2-nm-1.0,
   python3-packaging,
-Restrictions: allow-stderr, needs-root, isolation-container
+Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
 Features: test-name=routing
 
 Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=vlans
@@ -82,7 +82,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
-Restrictions: allow-stderr, needs-root, isolation-container
+Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
 Features: test-name=vlans
 
 Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=wifi
@@ -97,10 +97,6 @@
   python3-gi,
   gir1.2-nm-1.0,
   iw,
-Restrictions: allow-stderr, needs-root, isolation-container, flaky
+Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container, flaky
 Features: test-name=wifi
 
-Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=tunnels
-Tests-Directory: tests/integration
-Depends: @,
-  systemd-resolved | systemd (<< 251.3-2~),
